Ubuntu

unity-2d-places crashed with SIGSEGV in QScriptValue::call()

Reported by Dan Kegel on 2011-09-29
152
This bug affects 18 people
Affects Status Importance Assigned to Milestone
unity-2d
Critical
Unassigned
unity-2d (Ubuntu)
Critical
Unassigned

Bug Description

First five minutes of use of system after applying updates.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: unity-2d-places 4.10.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Thu Sep 29 10:14:11 2011
ExecutablePath: /usr/bin/unity-2d-places
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110920.5)
ProcCmdline: /usr/bin/unity-2d-places
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SegvAnalysis:
 Segfault happened at: 0x4b266a1 <_ZN12QScriptValue4callERKS_RK5QListIS_E+1025>: mov 0x20(%edi),%eax
 PC (0x04b266a1) ok
 source "0x20(%edi)" (0x00000021) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: unity-2d
StacktraceTop:
 QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) () from /usr/lib/i386-linux-gnu/libQtScript.so.4
 ?? () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 ?? () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 ?? () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 ?? () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
Title: unity-2d-places crashed with SIGSEGV in QScriptValue::call()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Dan Kegel (dank) wrote :

StacktraceTop:
 allocateScriptValuePrivate (this=<optimized out>, size=<optimized out>) at api/qscriptengine_p.h:594
 operator new (engine=<optimized out>, size=<optimized out>) at api/qscriptengine_p.h:796
 scriptValueFromJSCValue (value=<optimized out>, this=<optimized out>) at api/qscriptengine_p.h:645
 QScriptValue::call (this=0xfffffffe, thisObject=..., args=...) at api/qscriptvalue.cpp:1616
 QDeclarativeQtScriptExpression::eval (this=0xa20f838, secondaryScope=0xfffffffe, isUndefined=0x0) at qml/qdeclarativeexpression.cpp:518

Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Didier Roche (didrocks) on 2011-10-03
Changed in unity-2d (Ubuntu):
importance: Medium → Critical
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
visibility: private → public
tags: added: bugpattern-needed
Changed in unity-2d:
status: New → Confirmed
importance: Undecided → Critical
Albert Astals Cid (aacid) wrote :

This code has been heavily refactored for Ubuntu 12.04 Precise (released in a week), in fact the unity-2d-places application does not exist anymore and has been merged into unity-2d-shell. I'm setting this bug as incomplete, this means the bug will autoclose itself if you can't confirm it back in 59 days, please update to Ubuntu 12.04 and see if you can still reproduce this problem.

Changed in unity-2d:
status: Confirmed → Incomplete
Changed in unity-2d (Ubuntu):
status: Confirmed → Incomplete
tags: added: precise
Launchpad Janitor (janitor) wrote :

[Expired for unity-2d because there has been no activity for 60 days.]

Changed in unity-2d:
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

[Expired for unity-2d (Ubuntu) because there has been no activity for 60 days.]

Changed in unity-2d (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers